Buying a DSi, What Flashcard To Buy?

Discussion in 'NDS - Flashcarts and Accessories' started by Kyrue, Mar 13, 2009.

  1. Kyrue
    OP

    Kyrue Member

    Newcomer
    38
    0
    Sep 20, 2008
    United States
    California
  2. Bri

    Bri GBAtemp Psycho!

    Member
    3,413
    2
    Dec 25, 2007
    United States
    All of them are likely to stop working if Nintendo comes out with a firmware update. They all also work nearly identically to the non-DSi versions (Acekard 2i works just like an Acekard 2, DSTTi works just like a DSTT, etc) so you could probably want to base your decision on the Acekard 2, EZFlash V, and DSTT.

    -Bri
     
  3. Raven Darkheart

    Raven Darkheart The Radioactive Flamer

    Member
    1,720
    1
    Aug 27, 2008
    United States
    Cyclo DS Paradise
    just hold off getting the dsi till more teams get their hands on one
     
  4. DJ91990

    DJ91990 Dark-Type Trainer

    Member
    936
    101
    Feb 9, 2009
    United States
    Oakwood Region
    Whatever. I also plan to get a DSi on Launch Dad (Because of the Sell tatics of the Wii...), I just want to know which of the three cards;
    Updates the most often
    What features each one has
    Compatible with YASU Menu DS?
    Cheat Support
    Moonshell Support?

    If one dies out, then...They would not die out because of a firmware update for the DSi, it is hardware not software
    (and if it was software, why update? It would get a crack anyway. Duh!)

    The DSi I chose to buy is the Jet Black one, (Cuz the blue one is Duke Blue *barf*)

    It will set me back $170.00 + Tax for the DSi Alone! With the next card; I don't care about price, I want Features and will it last a good 5 years...the R4DS Firmware lasted 1 year, then died. If the DSi Flashcard I chose works with YASU Menu then that is a Win, as YASU updates his firmware every so often, the latest is 2/09/09 or something.
    DO NOT ASK WHERE TO OBTAIN URL FOR YASU DS DOWNLOAD. Find it yourself, Like I did. (It took me 5 hours!)
     
  5. DJ91990

    DJ91990 Dark-Type Trainer

    Member
    936
    101
    Feb 9, 2009
    United States
    Oakwood Region
    The purpose of my above post is because I bought a R4DS for my DS Lite just to have the firmware die out a year later.

    I want Micro SD Support, Cheat Code Support (USRCHEAT.DAT), Skin Support, Constant Updating of Firmware, ROM Support, and information if it is compatible with YASU's YSMENU DS or not.
     
  6. wchill

    wchill Resident chillxpert

    Member
    1,407
    34
    Jun 12, 2008
    United States
    I would hold off on getting that flashcard, as it's been speculated that Ninty will come out with a new firmware blocking the exploit. If this happens, then depending on which flashcard you have (updatable boot code or not), you may be screwed.
     
  7. Islay

    Islay GBAtemp Fan

    Member
    308
    0
    Dec 15, 2008
    I say just get the best DS lite cart as in all likeliness they will update the card to work, also theres going to be custom firm ware, it happened with the psp, or maybe even a hardware fix like a psp.

    also I think the updates are bull as there console is aimed at kids, kids can't update firm ware [​IMG]
     
  8. DJ91990

    DJ91990 Dark-Type Trainer

    Member
    936
    101
    Feb 9, 2009
    United States
    Oakwood Region
    Thanks dude. I'll just have a ROM-Less DSi, bah, you know what? I'll just get the DSTTi (If it works with YASU DS) and use that, and when (if Gantendo DARES) to update their firmware (you can factory reset it duh) then I'll just buy another flash card with my money (cuz when they do that, I should have a JOB by then.)

    And why the hell would one need to update the DSi Firmware!? For Wii-I mean DSi Ware!? What's going to be so great about DSi Ware? It's not like BOB's GAME is going to be DSi Ware or anything like that.

    (And I garentee that the DSi Ware will become hacked just like the Wii Ware did.)
     
  9. redviper

    redviper Advanced Member

    Newcomer
    79
    0
    May 20, 2003
    Gambia, The
    The update could probably be included in game cartridges and installed automatically like on PSP or downloaded automatically when connecting to the interent. So you may don't even notice that your DSi is updating itself.
     
  10. Melvinkooi

    Melvinkooi GBAtemp Regular

    Member
    214
    0
    Mar 15, 2009
    Netherlands
    AK2I.
    Very good, and can run AKAOI. [​IMG]
     
  11. imqchummy

    imqchummy Member

    Newcomer
    45
    0
    Aug 14, 2008
    Canada
    The boot loader of the DSTTi is not updatable. In case of a firmware update on the DSi from Nintendo, this card might be useless. Acekard 2i and EZ Flash Vi boot loaders are updatable so I would pick one of these instead of the DSTTi. Until release date in NA, we still don't know what will work and what wont. Personnaly, I would go with the acekard because the interface is awesome and I love so sort my games in different folders(ex: RPG, Action, Racing). Normmatt and Smiths are very active on this site with AKAIO firmware.
    I'm a proud owner of an Acekard 2 and i don't regret it at all.
     
  12. lilkerv90210

    lilkerv90210 Newbie

    go with the Acekard 2i i have one and it works perfectlly
     
  13. Sanderino

    Sanderino I guess you only know what you got 'till it's gone

    Member
    773
    0
    Sep 10, 2008
    Netherlands
    the Netherlands
    I woukdn't buy a flashcard now. Not now.
    You dunno if Nintendo can screw your cards up. And I think there are going to be more, better flashcards so..
     
  14. kingdruid

    kingdruid Advanced Member

    Newcomer
    54
    0
    Mar 9, 2008
    United States
    I bought an AK2I and it died after 1 week of using it on a DS Lite (Official Firmware). It just wouldn't read the card anymore. It wasn't worth paying the price to ship it back to DealExtreme so I opened it up to inspect it and see if maybe I had pushed a pin in or something. The hardware look perfectly fine with a magnifying glass so it must have just been bad hardware or corrupted software that killed the chip. I'd stay away from it if I was you.
     
  15. halljames

    halljames GBAtemp Regular

    Member
    265
    0
    Jan 16, 2004
    Newcastle, UK
    Has anyone confirmed that the DSi has updateable firmware, cos the original DS didnt?
     
  16. alexkapi12

    alexkapi12 Advanced Member

    Newcomer
    72
    0
    Feb 23, 2009
    Canada
    Yep it does.